:root {
    --mia-color-primary: #204396;
    --mia-color-secondary: #ffffff;
    --mia-color-success: #1f9401;
    --mia-color-success-hover: #1f9401;
    --mia-color-danger: #d90033;
    --mia-color-danger-hover: #A10026;
    --mia-color-warning: #EC7C30;
    --mia-color-warning-hover: #d49419;
    --mia-color-info: #5daafc;
    --mia-color-info-hover: #3585d8;
    --mia-color-input-background: #F8FAFC;
    --mia-color-input--background-hover: #F8FAFC;
    --mia-color-input-border: #EAEAEA;
    --mia-color-input-border-hover: #b1c6e8;
    --mia-color-input-background-disable: #F1F5F9;
    --mia-color-input-border-disable: #E2E8F0;

    --mia-badge-primary: #1f4397;
    --mia-badge-success: #1d9301;
    --mia-badge-success-light: #06A978;
    --mia-badge-danger: #d90033;
    --mia-badge-danger-light: #ed5d5d;
    --mia-badge-approver-turn-down: #be1d1d;
    --mia-badge-warning: #f9b05b;
    --mia-badge-warning-light: #f1e42a;
    --mia-badge-info: #5eabfc;
    --mia-badge-secondary: #667085;
    --mia-badge-secondary-light: #d0d5dd;
}

/*-----mai layout style-----*/
.mia-side-bar {
    border-right: 1px solid #f1f1f1;
    box-shadow: 4px 0 15px rgba(0, 0, 0, 0.03);
}

.mia-layout-page {
    position: relative;
}

.mia-layout-header {
    border-bottom: 1px solid #f1f1f1;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.04);
}

.mia-footer {
    position: sticky;
    bottom: 0;
    z-index: 10;
    background-color: rgba(255, 255, 255, 0.93);
    box-shadow: 0 -10px 30px rgba(0, 0, 0, 0.05);
}

.mia-footer p {
    font-size: 12px;
    color: #000;
    margin: 0 !important;
}

/*-----tab button responsive -----*/
@media (max-width: 768px) {
    .mia-desktop-tab {
        display: none;
    }
    
    .mia-mobile-tab{
        display: flex;
    }
}
@media (min-width: 769px) {
    .mia-desktop-tab{
        display: flex;
    }
    
    .mia-mobile-tab{
        display: none;
    }
    
    .mia-mobile-tab.mud-list.mud-menu-list{
        display: none;
    }
}

/*-----main page Design start-----*/
.mia-main-page-content {
    min-height: 76vh;
    display: grid;
    grid-template-columns: 1fr;
    gap: 5px;
}

@media (min-width: 768px) {
    .mia-main-page-content {
        grid-template-columns: 9.5fr 2.5fr;
    }
}

.mia-main-page-left-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 100%;
}

.mia-main-page-right-container {
    background-color: #fff;
    border-radius: 0.5rem;
    padding: 15px;
    box-shadow: 0 2px 6px rgba(106, 127, 176, 0.12);
}

.ads-wrapper {
    background-color: #fff;
    border-radius: 0.5rem;
    box-shadow: 0 2px 6px rgba(106, 127, 176, 0.12);
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.main-page-tab-container {
    background-color: #fff;
    padding: 10px;
}

.mia-main-page-ads {
    background-color: #fff;
    padding: 10px;
    overflow-y: auto;
    max-height: 40vh;
}

.mia-main-page-foc {
    background-color: #fff;
    border-radius: 0.5rem;
    box-shadow: 0 2px 6px rgba(106, 127, 176, 0.12);
    padding: 10px;
}

.general-information-container {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 10px;
    overflow-y: auto;
    max-height: 78vh;
}

.mia-ads-grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 15px;
    width: 100%;
}


@media (min-width: 300px) {
    .mia-ads-grid-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 600px) {
    .mia-ads-grid-container {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width: 960px) {
    .mia-ads-grid-container {
        grid-template-columns: repeat(4, 1fr);
    }
}

/* Card: Fixed height and uniform structure */
.mia-ads-card {
    border-radius: 0.5rem;
    padding: 0;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    border: 1px solid #f1f1f1;
}

.mia-card-media {
    width: 100%;
    height: 120px;
    object-fit: cover;
    border-radius: 6px;
    margin-bottom: 8px;
    flex-shrink: 0;
}

.mia-ads-card-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 3px;
    min-height: 30px;
    margin: 4px 12px 0 12px;
}

.mia-ads-card-title {
    font-size: 14px;
    font-weight: 500;
    color: #344054;
    margin: 0;
}

.mia-ads-badge {
    width: 80px;
    font-size: 10px;
    padding: 2px 4px;
    border-radius: 50px;
    text-align: center;
    color: #ffffff;
    background-color: transparent;
}

.mia-ads-card-description {
    font-size: 12px;
    color: #2C364A;
    font-weight: 500;
    margin: 8px 12px;
    flex-grow: 1;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.mia-ads-card-actions {
    display: flex;
    justify-content: flex-end;
    margin: 0 12px 4px 12px;
    flex-shrink: 0;
}

.ads-action-btn {
    padding: 5px;
    font-size: 12px;
    background-color: transparent;
    text-decoration: underline;
}

.ads-business-bg {
    background: linear-gradient(180deg, rgba(31, 67, 151, 0.1) 0%, rgba(219, 235, 254, 0.1) 100%);
}

.ads-expired-business-bg {
    background: linear-gradient(180deg, rgba(244, 67, 54, 0.1) 0%, rgba(255, 255, 255, 1) 100%);
}

.ads-event-bg {
    background: linear-gradient(180deg, rgba(236, 124, 48, 0.1) 0%, rgba(252, 237, 216, 0.1) 100%);
}

.ads-training-bg {
    background: linear-gradient(180deg, rgba(84, 43, 189, 0.1) 22.66%, rgba(220, 208, 251, 0.1) 100.14%);
}

.ads-business-bg:hover {
    border: 1px solid #b9c9ef;
}

.ads-event-bg:hover {
    border: 1px solid rgb(228, 192, 168);
}

.ads-training-bg:hover {
    border: 1px solid rgba(183, 166, 225, 0.73);
}

.ads-business {
    color: #1F4397;
}

.ads-event {
    color: #EC7C30;
}

.ads-training {
    color: #542BBD;
}

/* The main header container */
.general-information-card {
    border: 1px solid #f1f1f1;
    border-radius: 0.5rem;
    padding: 10px;
    cursor: pointer;
    width: 100%;
}

.general-information-card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 12px;
}

.header-left-group {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
}

.general-information-card-media {
    width: 30px;
    height: 30px;
    object-fit: contain;
    border-radius: 4px;
    flex-shrink: 0;
}

.general-information-card-title {
    font-weight: 600;
    margin: 0;
}

/*-----main page Card Design end-----*/

.app-input-text,
.app-input-date,
.app-input-decimal,
.app-input-textarea,
.app-select {
    background: var(--mia-color-input-background) !important;
    border: 1px solid var(--mia-color-input-border) !important;
    padding: 10px;
    border-radius: 0.5rem;
    width: 100%;
    font-size: 12px !important;
    transition: border-color 0.2s, background-color 0.2s;
    outline: none !important;
    appearance: none;
    -webkit-appearance: none;
}

/*-----hover-----*/
.app-input-text:hover,
.app-input-date:hover,
.app-input-decimal:hover,
.app-input-textarea:hover {
    background: var(--mia-color-input--background-hover) !important;
    border: 1px solid var(--mia-color-input-border-hover) !important;
}

/*-----focus-----*/
.app-input-text:focus,
.app-input-text:active,
.app-input-date:focus,
.app-input-date:active,
.app-input-decimal:focus,
.app-input-decimal:active,
.app-input-textarea:focus,
.app-input-textarea:active {
    background: var(--mia-color-input--background-hover) !important;
    border: 1px solid var(--mia-color-input-border-hover) !important;
    outline: none !important;
    box-shadow: none !important;
}

/*-----select 2-----*/
.select2-container--default .select2-selection--single {
    background: var(--mia-color-input-background) !important;
    border: 1px solid var(--mia-color-input-border) !important;
    border-radius: 0.5rem !important;
    height: 40px !important;
    padding: 10px !important;
    font-size: 12px !important;
    transition: border-color 0.2s, background-color 0.2s !important;
    display: flex !important;
    align-items: center !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #444 !important;
    line-height: 1.2 !important;
    padding-left: 0 !important;
    font-size: 12px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 38px !important;
    right: 10px !important;
}

.select2-container--default:hover .select2-selection--single {
    background: var(--mia-color-input--background-hover) !important;
    border: 1px solid var(--mia-color-input-border-hover) !important;
}

.select2-container--default.select2-container--focus .select2-selection--single,
.select2-container--default.select2-container--open .select2-selection--single {
    background: var(--mia-color-input--background-hover) !important;
    border: 1px solid var(--mia-color-input-border-hover) !important;
    border-radius: 0.5rem 0.5rem 0 0 !important;
    outline: none !important;
    box-shadow: none !important;
}

.select2-dropdown {
    background: var(--mia-color-input--background-hover) !important;
    border: 1px solid var(--mia-color-input-border-hover) !important;
    background-color: #fff !important;
    z-index: 10000 !important;
    overflow: hidden;
    font-size: 12px !important;
}

/*-----readonly disable-----*/
.app-input-text:disabled,
.app-input-text[readonly],
.app-input-date:disabled,
.app-input-decimal:disabled,
.app-input-textarea:disabled,
.app-input-textarea[readonly] {
    background: var(--mia-color-input-background-disable) !important;
    border: 1px solid var(--mia-color-input-border-disable) !important;
    color: #94A3B8 !important;
    cursor: not-allowed;
    opacity: 1;
}

.select2-container--default.select2-container--disabled .select2-selection--single {
    background: var(--mia-color-input-background-disable) !important;
    border: 1px solid var(--mia-color-input-border-disable) !important;
    cursor: not-allowed;
}

.select2-container--default.select2-container--disabled .select2-selection__rendered {
    color: #94A3B8 !important;
}

.app-input-text:disabled:hover,
.app-input-textarea:disabled:hover,
.select2-container--default.select2-container--disabled:hover .select2-selection--single {
    background: var(--mia-color-input-background-disable) !important;
    border: 1px solid var(--mia-color-input-border-disable) !important;
}

/*-----Select Design for mud select-----*/
.app-select.mud-input-focus {
    border-color: var(--mia-color-input-border-hover) !important;
    background: var(--mia-color-input--background-hover, #ffffff) !important;
    box-shadow: none;
    outline: none !important;
}

.app-select.mud-disabled {
    background: var(--mia-color-input-background-disable) !important;
    border: 1px solid var(--mia-color-input-border-disable) !important;
}

.app-select.mud-disabled .mud-input-slot {
    cursor: not-allowed !important;
    color: rgba(0, 0, 0, 0.38) !important;
}

/*-----for displaying readonly data-----*/
.detail-display {
    min-height: 38px;
    padding: 10px;
    border-radius: 0.5rem;
    width: 100%;
    font-size: 12px;
    background: var(--mia-color-input-background-disable) !important;
    border: 1px solid var(--mia-color-input-border-disable) !important;
    color: #94A3B8 !important;
    cursor: not-allowed;
    opacity: 1;
}

/*-----search-field-----*/
.mia-search-container {
    width: 320px;
    padding: 0;
}

.mia-search-wrapper {
    display: flex;
    align-items: stretch;
    border-radius: 50rem;
    overflow: hidden;
    background-color: var(--mia-color-input--background-hover) !important;
    border: 1px solid var(--mia-color-secondary) !important;
    transition: all 0.2s ease;
}

.mia-search-wrapper:hover {
    border: 1px solid var(--mia-color-input-border-hover) !important;
}

.mia-search-wrapper.hover {
    border: 1px solid var(--mia-color-input-border-hover) !important;
}

.mia-search-input-field:hover,
.mia-search-input-field:focus-within {
    border-right: 1px solid var(--mia-color-input-border-hover) !important;
}

.mia-search-input-field {
    flex: 1;
    padding: 10px 15px;
    font-size: 12px;
    background-color: var(--mia-color-input--background-hover) !important;
    outline: none !important;
    box-shadow: none !important;
    border-radius: 50px 0 0 50px !important;
    border: 1px solid var(--mia-color-input-border) !important;
}

.mia-search-button {
    background-color: #DBEBFE;
    color: #1F4397;
    border: none;
    padding: 8px 16px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.2s;
}

.mia-search-button:hover {
    background-color: #c9d9f0;
}

/*-----button style-----*/
.mia-btn {
    font-size: 12px;
    color: #fff;
    border-radius: 0.5rem;
    padding: 10px;
    min-width: 100px;
    transition: all .5s ease-in-out;
    text-align: center;
    cursor: pointer;
    background: var(--mia-color-primary) !important;
}

.mia-link-btn {
    font-size: 12px;
    color: var(--mia-color-primary) !important;
    border-radius: 0.5rem;
    padding: 10px;
    min-width: 100px;
    transition: all .5s ease-in-out;
    text-align: center;
    cursor: pointer;
    background: transparent !important;
}

.mia-link-btn:hover {
    color: var(--mia-color-info-hover) !important;
}

.mia-mini-btn {
    padding: 5px;
    color: #fff;
    border-radius: 0.5rem;
    transition: all .5s ease-in-out;
    background: var(--mia-color-primary) !important;
}

.mia-btn:disabled,
.mia-mini-btn:disabled {
    opacity: 0.6;
    filter: grayscale(40%) brightness(90%);
    cursor: not-allowed;
    box-shadow: none;
    transform: none;
}

.mia-btn-primary {
    background: var(--mia-color-primary) !important;
    border: 1px solid var(--mia-color-primary) !important;
}

.mia-btn-delete {
    background: var(--mia-color-danger) !important;
    border: 1px solid var(--mia-color-danger) !important;
}

.mia-btn-approve {
    background: var(--mia-color-success) !important;
    border: 1px solid var(--mia-color-success) !important;
}

.mia-btn-checked {
    background: var(--mia-color-info) !important;
    border: 1px solid var(--mia-color-info) !important;
}

.mia-btn-outlined {
    background: var(--mia-color-secondary) !important;
    border: 1px solid var(--mia-color-primary) !important;
    color: var(--mia-color-primary) !important;
}

.mia-btn-orange-outlined {
    background: var(--mia-color-secondary) !important;
    border: 1px solid var(--mia-color-warning) !important;
    color: var(--mia-color-warning) !important;
}

.mia-btn-confirm {
    background: var(--mia-color-primary) !important;
    border: 1px solid var(--mia-color-primary) !important;
}

.mia-btn-info {
    background: var(--mia-color-warning) !important;
    border: 1px solid var(--mia-color-warning) !important;
}

.mia-btn-lightBlue {
    background: var(--mia-color-info) !important;
    border: 1px solid var(--mia-color-info) !important;
}

.mia-btn-transparent {
    background: #f0f7ff !important;
    border: 1px solid #f0f7ff !important;
    color: var(--mia-color-primary) !important;
}

.mia-btn:hover,
.mia-mini-btn:hover,
.mia-btn-primary,
.mia-btn-approve:hover,
.mia-btn-checked:hover,
.mia-btn-confirm:hover,
.mia-btn-info:hover,
.mia-btn-lightBlue:hover,
.mia-btn-delete:hover {
    filter: brightness(70%);
}

.mia-btn-outlined:hover {
    filter: brightness(100%) !important;
    background-color: #e6f0ff !important;
}

.mia-btn-orange-outlined:hover {
    filter: brightness(100%) !important;
    background: #fff7e6 !important;
}

.mia-btn-export-excel {
    background-color: #178e4e !important;
    color: #fff !important;
    border: 1px solid #178e4e !important;
}

.mia-btn-export-excel:hover {
    background-color: #29784c !important;
    color: #fff !important;
}

.mia-btn-export-pdf {
    background-color: #fff !important;
    color: #ba2328 !important;
    border: 1px solid #ba2328 !important;
}

.mia-btn-export-pdf:hover {
    filter: brightness(100%);
    background-color: #fff5f5 !important;
    color: #ba2328 !important;
}

/*----- status badge -----*/
.mia-badge {
    width: 90px;
    font-size: 12px;
    padding: 2px 4px;
    border-radius: 50px;
    text-align: center;
    color: #ffffff;
}

.mia-badge-primary {
    background-color: var(--mia-badge-primary) !important;
}

.mia-badge-primary-outlined {
    border: 1px solid var(--mia-badge-primary) !important;
    color: var(--mia-badge-primary) !important;
}

.mia-badge-success {
    background-color: var(--mia-badge-success) !important;
}

.mia-badge-success-light {
    background-color: var(--mia-badge-success-light) !important;
}

.mia-badge-danger {
    background-color: var(--mia-badge-danger) !important;
}

.mia-badge-danger-outlined {
    border: 1px solid var(--mia-badge-danger) !important;
    color: var(--mia-badge-danger) !important;
}

.mia-badge-danger-light {
    background-color: var(--mia-badge-danger-light) !important;
}

.mia-badge-approver-turn-down {
    background-color: var(--mia-badge-approver-turn-down) !important;
}

.mia-badge-warning {
    background-color: var(--mia-badge-warning) !important;
}

.mia-badge-warning-outlined {
    border: 1px solid #EC7C30 !important;
    color: #EC7C30 !important;
}

.mia-badge-warning-light {
    background-color: var(--mia-badge-warning-light) !important;
    color: #000 !important;
}

.mia-badge-info {
    background-color: var(--mia-badge-info) !important;
}

.mia-badge-info-outlined {
    background-color: var(--mia-badge-secondary-light) !important;
    color: #000 !important;
}

.mia-badge-secondary {
    background-color: var(--mia-badge-secondary) !important;
}

.mia-badge-secondary-light {
    background-color: var(--mia-badge-secondary-light) !important;
    color: #000 !important;
}
/*-----filter dialog-----*/
.app-dialog-title {
    font-size: 16px;
    font-weight: 500 !important;
    color: #1F4397;
    margin-bottom: 0 !important;
    margin-left: 18px;
}

.app-filter-dialog {
    max-width: 600px !important;
    border-radius: 0.5rem !important;
}

.app-filter-dialog .mud-dialog-title,
.mia-dialog .mud-dialog-title {
    background-color: #f0f7ff !important;
    border-bottom: 1px solid #EAEAEA;
    padding: 5px !important;
}

.app-filter-dialog .mud-dialog-actions,
.mia-dialog .mud-dialog-actions {
    border-top: 1px solid #EAEAEA;
}

/*-----mia dialog-----*/
.mia-dialog .mud-dialog-content {
    margin: 0 !important;
    padding: 0 !important;
}

.mia-dialog {
    border-radius: 0.5rem !important;
}

.mia-dialog .mud-dialog-content {
    padding: 8px 24px 2px 24px !important;
}

.mud-dialog .mud-dialog-title .mud-button-close {
    padding: 5px !important;
}

.mia-dialog {
    animation: slideRightEntrance 0.8s cubic-bezier(0.25, 0.8, 0.25, 1) forwards;
}

.mia-dialog.close {
    animation: slideRightExit 0.8s cubic-bezier(0.25, 0.8, 0.25, 1) forwards;
}

@keyframes slideRightEntrance {
    from {
        transform: translateX(100%);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideRightExit {
    from {
        transform: translateX(0);
        opacity: 1;
    }
    to {
        transform: translateX(100%);
        opacity: 0;
    }
}

/*-----message dialog style-----*/
.title-success {
    color: var(--mia-color-success, #28a745);
}

.title-info {
    color: var(--mia-color-primary, #007bff);
}

.title-warning {
    color: var(--mia-color-warning, #ffc107);
}

.title-error {
    color: var(--mia-color-danger, #dc3545);
}

.mia-message-dialog {
    max-width: 400px;
    border-radius: 0.5rem;
    overflow: hidden;
}

.mia-message-dialog .mud-dialog-title {
    display: flex;
    padding: 0 !important;
}

.mia-message-dialog-title {
    font-size: 16px;
    font-weight: 500 !important;
    margin: 0 auto 0 16px !important;
}

.mia-message-dialog .mud-dialog-content {
    display: flex;
    flex-direction: column;
    align-items: center !important;
    justify-content: center;
    text-align: center;
    margin: 0 !important;
}

.mia-message-dialog-text {
    font-size: 14px;
    color: #444;
    font-weight: 400;
    margin: 10px auto 5px auto;
}

.mia-message-dialog .mud-dialog-actions {
    justify-content: center !important;
    margin: 10px auto;
}

.mia-action-dialog {
    max-width: 400px;
    border-radius: 0.5rem;
    overflow: hidden;
}

.mia-action-dialog .mud-dialog-title {
    padding: 10px !important;
}

.mia-action-dialog .mud-dialog-title h6 {
    font-size: 16px;
    font-weight: 500 !important;
    color: #000;
    margin-bottom: 0 !important;
    margin-left: 18px;
}

.mia-action-dialog .mud-dialog-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 25px;
    margin: 0 !important;
    padding-bottom: 10px;
}

.mia-action-dialog .mud-dialog-content img {
    width: 70px;
}

/*-----detail dialog data row style-----*/
.mia-detail-dialog-data-row {
    font-size: 12px;
}

.mia-detail-dialog-row-value {
    font-weight: 500;
    text-align: end;
}

/*-----dialog animation-----*/
.app-filter-dialog,
.mia-message-dialog,
.mia-action-dialog {
    animation: slideDownEntrance 0.5s cubic-bezier(0.25, 0.8, 0.25, 1) forwards;
}

.app-filter-dialog.close,
.mia-message-dialog.close,
.mia-action-dialog.close {
    animation: slideUpExit 0.5s cubic-bezier(0.25, 0.8, 0.25, 1) forwards;
}

@keyframes slideDownEntrance {
    from {
        transform: translateY(-100%);
        opacity: 1;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes slideUpExit {
    from {
        transform: translateY(0);
        opacity: 1;
    }
    to {
        transform: translateY(-100%);
        opacity: 1;
    }
}

/*-----detail Page Design*/
.detail-container {
    background-color: #ffffff;
    border-radius: 0.5rem;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    min-height: 200px;
    max-height: 73vh;
    overflow-y: auto;
}

.no-bg {
    border-radius: 0 !important ;
    background-color: transparent !important;
    box-shadow: none !important;
}

.loading-wrapper, .error-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 250px;
    gap: 1rem;
    text-align: center;
}

.detail-row {
    display: flex;
    align-items: flex-start;
    padding: 12px 0;
    border-bottom: 1px solid #edf2f7;
}

.border-none {
    border-bottom: none !important;
}

.detail-label {
    flex: 0 0 250px;
    color: #718096;
    font-size: 12px;
    margin: 0;
}

.detail-data {
    flex: 1;
    color: #2d3748;
    font-weight: 600;
    font-size: 13px;
    margin: 0;
    padding-left: 20px;
    word-break: break-word;
}

.detail-data.align-right {
    text-align: right;
    display: block;
    width: 100%;
}

.description {
    line-height: 1.6;
    white-space: pre-wrap;
    color: #4a5568;
}

.preview-img {
    width: 100%;
    max-width: 200px;
    border-radius: 0.5rem;
    display: block;
    background-color: #f1f1f1;
}

.detail-title {
    display: flex;
    align-items: center;
}

@media (max-width: 768px) {
    .detail-container {
        padding: 15px;
    }

    .detail-row {
        flex-direction: column;
        gap: 5px;
        padding: 15px 0;
    }

    .detail-label {
        flex: 0 0 auto;
        width: 100%;
        font-size: 11px;
        text-transform: uppercase;
        letter-spacing: 0.5px;
    }

    .detail-data {
        width: 100%;
        padding-left: 0;
        font-size: 14px;
    }
}

/*----register form-----*/
.mia-reg-search-wrapper {
    display: flex;
    align-items: center;
    background: #f0f7ff;
    border: 1px solid #e0efff;
    border-radius: 50px;
    padding: 0;
}

.mia-reg-search-wrapper:hover {
    border: 1px solid #a7d2fd;
}

.mia-reg-search-wrapper .app-input-control {
    border: none !important;
    box-shadow: none !important;
}

.reg-tab-btn{
     padding:15px;
     background-color: #f0f7ff;
     font-size: 12px;
 }

.reg-tab-btn.left{
    border-radius: 50px 0 0 50px;
}

.reg-tab-btn img{
    width: 18px;

}

.reg-tab-btn.active{
    background-color: #d6e8ff;
}

.old-member-search-btn{
    padding:14px;
    background-color: #d6e8ff;
    border-radius: 0 50px 50px 0;
}

.old-member-search-btn:hover{
    background-color: #a2cafd;
}

/*-----Contact Us-----*/
.contact-container{
    background-color: #fff;
    border-radius: 0.5rem;
    padding: 10px;
}

.contact-content {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.contact-us-form{
    width: 40%;
}

.contact-us-map {
    width: 60%;
    border-radius: 0.5rem !important;
}

.contact-footer {
    margin: 20px auto 10px auto;
}

.contact-us-card {
    background-color: #EFF7FF;
    border: 1px solid #D0E4FF;
    border-radius: 0.5rem;
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 0.5rem;
    transition: transform 0.2s ease;
    box-shadow:            0 2px 4px rgba(31, 67, 151, 0.04),
            0 12px 24px rgba(31, 67, 151, 0.08);
}

.contact-us-card:hover {
    border: 1px solid #a7d2fd;
}

.contact-us-card .card-icon {
    color: #1F4397;
    margin-bottom: 0.5rem;
}

.contact-us-card .card-title {
    font-size: 14px;
    font-weight: 700;
    color: #1F4397;
    margin-bottom: 0;
}

.contact-us-card .card-data {
    font-size: 12px;
    color: #444;
    margin-bottom: 0;
    word-break: break-word;
}


/*-----User Manual-----*/
.video-container{
    width:fit-content;
    height:fit-content;
}

.video-container video{
    height:fit-content;
}

.video-title{
    font-size: 20px;
    font-weight: 600;
    margin-top: 20px
}

.video-description{
    font-size: 12px;    
}

/*-----Announcement Card List-----*/
.announcement-container {
    background-color: transparent;
    border-radius: 0.5rem;
    padding: 0;
    width: 100%;
}

.announcement-wrapper {
    display: grid;
    gap: 1.5rem;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    height: 435px;
    overflow-y: auto;
    padding: 0 0 10px 0;
    align-content: start;
}

.announcement-card {
    display: flex;
    flex-direction: column;
    border: 1px solid #e2e8f0;
    border-radius: 0.8rem;
    background: #fff;
    height: 100%;
    min-height: 320px;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1);
}

.announcement-card:hover {
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1);

}

.announcement-image {
    width: 100%;
    height: 150px;    
    display: block;
    border-radius: 0.5rem;
    object-fit: cover;
    background-color: #f2f2f2;
}

.announcement-card-content {
    padding: 10px;
    flex-grow: 1;
}

.announcement-title {
    font-weight: 600;
    font-size: 14px;
    margin-top: 0.5rem;
    color: #1a202c;
}

.announcement-description {
    color: #4a5568;
    font-size: 12px;
}

.announcement-card-footer {
    padding: 10px 0 10px 10px;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

.announcement-date {
    font-size: 10px;
    color: #718096;
    margin-bottom: 0;
}

@media (max-width: 1400px) {
    .announcement-wrapper {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    }
}

@media (max-width: 992px) {
    .announcement-wrapper {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    }
}

@media (max-width: 576px) {
    .announcement-wrapper {
        grid-template-columns: 1fr !important;
    }
}

.announcement-pagination.mud-pagination-item.mud-pagination-item-selected button{
    background-color: var(--mia-color-primary) !important;
}